:root {
    --primary: #272727;
    --secondary: #D2D2D2;
    --secondary-light: #e0e0e0;
    --accent: #ffffff;
    --body: #fff;
}

html, body, main {
    height: calc(100% - 52px);
    margin: 0;
}

*, :after, :before {
    background-repeat: no-repeat;
    box-sizing: inherit;
}

body {
    /* background: url("https://www.technocrazed.com/wp-content/uploads/2015/12/Transformer-Wallpaper-2.jpg"); */
    background: #191313;
    font-family: 'Roboto', serif;
    font-size: 16px;
}

.main-nav {
    background-color: var(--primary);
    position: fixed;
    width: 100%;
    top: 0;
    box-shadow: 0 6px 6px -3px rgba(0,0,0,.2),0 10px 14px 1px rgba(0,0,0,.14),0 4px 18px 3px rgba(0,0,0,.12);
}

.nav-content {
    display: flex;
    justify-content: space-between;
    padding: 0 16px;
    align-items: stretch;
}

.main-nav .logo {
    display: flex;
    align-items: center;
    margin: 8px 0;
}

.main-nav .actions{ 
    display: flex;
    align-items: center;
}

.main-nav .actions .action{ 
    height: 56px;
    width: 56px;
    display: flex;
    color: white;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    transition: 0.25s;
}

.main-nav .actions .action:hover { 
    background-color: tomato;
}

main {
   margin-top: 56px; 
}




.container {
    display: flex;
    flex-direction: column;
    margin: auto;
    padding: 12px;
}

@media screen and (min-width: 600px) {
    .container {
        width: 80%;
    }
}

@media screen and (min-width: 960px) {
    .container {
        width: 760px;
    }
}

@media screen and (min-width: 1264px) {
    .container {
        width: 900px;
    }
}









.card {
    box-shadow: 0 6px 6px -3px rgba(0,0,0,.2),0 10px 14px 1px rgba(0,0,0,.14),0 4px 18px 3px rgba(0,0,0,.12);
    border-radius: 4px;
    min-width: 50%;
}

.card__title,
.card__content {
    padding: 16px;
}

.card__title {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    font-size: 1.25rem;
    font-weight: 500;
    letter-spacing: .0125em;
    line-height: 2rem;
    word-break: break-all;
    color: white;
}

.card__title + .card__content {
    padding-top: 0;
}

.card__actions {
    display: flex;
    justify-content: flex-end;
}



.list {
    padding: 4px 0;
    border-radius: 4px;
}

.list .item{
    display: flex;
    background-color: var(--secondary);
    color: var(--primary);
    margin: 8px 0;
    padding: 10px 16px;
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.25s;
}

.list .item:hover{
    background-color: var(--secondary-light);
}

.list .item .info{ 
    display: flex;
    align-items: center;
}



.provider{ 
    margin-right: 16px;
    display: flex;
    align-items: center;
}

.provider img {
    height: 28px;
    width: 28px;
}



.rating{ 
    display: flex;
    align-items: center;
}

.rating div { 
    margin: 0 4px;
    display: flex;
    align-items: center;
}



.pagination {
    display: flex;
    justify-content: center;
    margin-top: 16px;
    margin-bottom: 8px;
}

.pagination a {
    margin: 0 2px;
    padding: 4px;
    width: 24px;
    height: 24px;
    background-color: var(--secondary);
    text-decoration: none;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--primary);
}

.pagination a:hover { 
    background-color: var(--secondary-light);
}




.btn {
    outline: none;
    border-radius: 4px;
    border: none;
    height: 36px;
    min-width: 64px;
    padding: 0 8px;
    text-decoration: none;
    color: var(--primary);
    background-color: var(--secondary);
    text-align: center;
    font-size: 12pt;
}

.btn:hover {
    background-color: var(--secondary-light);
}
.btn--text {
    background-color: transparent;
    color: var(--secondary);
}

.btn--text:hover {
    color: var(--secondary-light);
    background-color: transparent;
}

#btn_login,
#btn_search,
#btn_add {
    width: 60%;
}





form {
    display: flex;
    flex-direction: column;
}

label {
    color: white;
}

.inputfield {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 8px 0px;
}

.inputfield--horizontal{
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}



input,
select,
textarea {
    font-size: 12pt;
    min-height: 24px;
    border-radius: 4px;
    margin-top: 8px;
    padding: 8px;
    border: none;
    background-color: var(--secondary-light);
}

select {
    height: 40px;
    padding: 0;
}


select:active, 
input:active,
textarea:active, 
select:focus, 
input:focus,
textarea:focus{
    outline: none;
}

form .actions {
    display: flex;
    margin: 8px 0;
    flex-direction: column;
    align-items: center;
}









.series-info .info {
    border-radius: 4px 4px 0 0;
    background-color: var(--secondary-light);
}

.series-info .line {
    display: flex;
    flex-direction: column;
}

.series-info .label {
    margin-bottom: 4px;
    font-weight: bold;
    padding: 4px 0;
    border-bottom: 1px solid var(--primary);
}

@media screen and (min-width: 600px) {
    .series-info .line {
        flex-direction: row;
    }
    .series-info .label {
        display: flex;
        margin-bottom: 0px;
        border-bottom: none;
        flex: 0 0 175px;
    }
}

.series-info .review {
    background-color: var(--secondary);
    border-radius: 0 0 4px 4px;
}





.login {
    width: 100%;
    margin: auto;
}

.login-form-wrapper {
    width: 100%;
}

@media screen and (min-width: 600px){
    .login {
        width: 480px;
    }

    .login-form-wrapper{
        width: 280px;
    }
}









.mt-1 {
    margin-top: 4px;
}

.mt-2 {
    margin-top: 8px;
}

.mt-3 {
    margin-top: 12px;
}

.mt-4 {
    margin-top: 16px;
}

h1,
.h1 {
    font-size: 24pt;
    word-break: break-word;
    margin: 0;
}

.primary {
    background-color: var(--primary);
}

.flex {
    display: flex;
}

.space-between {
    justify-content: space-between;
}

.justify-center {
    display: flex;
    justify-content: center;
}


.align-center {
    align-items: center;
}